import '../../../../core/errors/result.dart';
import '../entities/user.dart';

abstract class AuthRepository {
  Future<Result<User>> login(String username, String password);
  Future<Result<User>> register(String username, String password, String name);
  Future<Result<void>> logout();
  Future<Result<User>> getCurrentUser();
  Future<Result<void>> refreshToken();
  bool get isLoggedIn;
}
